API ReferenceCatalog
List the gift card catalog
Returns all active brands and their orderable items. Use an item's utid when sending FIXED rewards, and brandKey values to restrict CHOICE rewards. Filter with search (brand name), currency (e.g. USD) and country (ISO 3166-1 alpha-2, e.g. US).
Authorization
apiKey AuthorizationBearer <token>
In: header
Query Parameters
search?string
currency?string
Length
3 <= length <= 3country?string
Length
2 <= length <= 2Response Body
application/json
curl -X GET "https://example.com/v1/catalog"{ "brands": [ { "brandKey": "string", "name": "string", "description": "string", "shortDescription": "string", "disclaimer": "string", "imageUrl": "string", "categories": [ "string" ], "items": [ { "utid": "string", "rewardName": "string", "currencyCode": "string", "valueType": "string", "faceValue": 0, "minValue": 0, "maxValue": 0, "countries": [ "string" ] } ] } ]}